package cn.iocoder.yudao.module.jx.mapper;

import cn.iocoder.yudao.module.jx.domain.DriveSchoolCar;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 车辆信息Mapper接口
 *
 * @author ruoyi
 * @date 2024-05-08
 */
@Mapper
public interface DriveSchoolCarMapper
{
    /**
     * 查询车辆信息
     *
     * @param id 车辆信息主键
     * @return 车辆信息
     */
    public DriveSchoolCar selectDriveSchoolCarById(Long id);

    /**
     * 查询车辆信息列表
     *
     * @param driveSchoolCar 车辆信息
     * @return 车辆信息集合
     */
    public IPage<DriveSchoolCar> selectDriveSchoolCarList(@Param("entity") DriveSchoolCar driveSchoolCar, Page<DriveSchoolCar> page);
    public List<DriveSchoolCar> selectDriveSchoolCarListAll(@Param("entity") DriveSchoolCar driveSchoolCar);

    /**
     * 新增车辆信息
     *
     * @param driveSchoolCar 车辆信息
     * @return 结果
     */
    public int insertDriveSchoolCar(DriveSchoolCar driveSchoolCar);

    /**
     * 修改车辆信息
     *
     * @param driveSchoolCar 车辆信息
     * @return 结果
     */
    public int updateDriveSchoolCar(DriveSchoolCar driveSchoolCar);

    /**
     * 删除车辆信息
     *
     * @param id 车辆信息主键
     * @return 结果
     */
    public int deleteDriveSchoolCarById(Long id);

    /**
     * 批量删除车辆信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDriveSchoolCarByIds(Long[] ids);

    DriveSchoolCar selectByCarNo(String carNo);
}
